Bug 104459 - PCMCIA trouble with xircom_cb
PCMCIA trouble with xircom_cb
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-09-15 17:16 EDT by Thomas Bendler
Modified: 2015-01-04 17:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-10 20:03:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas Bendler 2003-09-15 17:16:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
When the system boots up, nearly everything looks to be fine (except USB
keyboard and mouse, but thats not important for me). Logging into the system
shows (/sbin/ifconfig) that my PCMCIA ethernet card was not start up (no eth0
device). Calling 'service network restart' brings eth0 up (ip adress discovered
by DHCP). So far so good (except the fact that I must execute the network
restart everytime I boot).

When shutting down the computer, the shutdown freezes when loopback device is
unmounted. This result in possible data looses due to the fact that the normal
hard disk isn't unmounted at this stage. If I don't restart the network (only lo
is availible), the reboot or shutdown is going straight forward.

Conclusion: Looks like a big mistery to me, no logs are written to /var/log
(syslog is down when freeze start), no strange messages on the screen, the
computer just freeze (only switching through virtual terminals work, but no
input is accepted from the terminal). Needless to say that everything work till
RH9beta with 2.4.x Kernel.

Version-Release number of selected component (if applicable):
kernel-pcmcia-cs-3.1.31-13, kernel-2.6.0-0.test5.1.34, initscripts-7.28-1

How reproducible:

Steps to Reproduce:
1. Boot
2. Execute service network restart
3. Shutdown

Actual Results:  System freeze

Expected Results:  Clean shutdown/reboot

Additional info:


Dell Latitude CPx, 512MB RAM, 48GB HD, ES1983S, Rage Mobility AGP 2x, Xircom
Cardbus Ethernet + 56k Modem (rev3), Texas Instruments PCI1225 CardBus Bridge.
Comment 1 Thomas Bendler 2003-09-22 17:15:47 EDT
Since update to kernel-2.6.0-0.test5.1.38 the reboot works again without
freezing the system while unmounting the loopback device. The problem with eth0
still occurs, after starting the system, xircom_cb module is loaded but no eth0
device is setup up.
Comment 2 Thomas Bendler 2003-09-22 19:24:47 EDT
After installing hotplug-2003_08_05-1_rh9.noarch.rpm and
hotplug-base-2003_08_05-1_rh9.noarch.rpm from
http://linux-hotplug.sourceforge.com/ the detection of the eth0 device works
well during startup. Looks like missing definitions in pci.agent under
/etc/hotplug. There is one item left during startup which throws an error, the
initialization of USB keyboard and USB mouse. I didn't find valuable information
using Google and several newgroups. I think that the names in /etc/modprobe.conf
have changed in 2.6.0-test5 comparing with 2.4.x. Is there any hint what I've to
add to modprobe.conf?
Comment 3 Dave Jones 2004-11-26 23:35:48 EST
how are things with the current release ?
Comment 4 Dave Jones 2005-01-10 20:03:19 EST
closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.